package moe.oko.opennaw.model;

import org.bukkit.Location;

public class City {
    private String name;
    private String resource;
    private CityState state;
    private Nation owner;
    private Location point;
    private short health;

    public City(String name, String resource, Location location) {
        this.name = name;
        this.resource = resource;
        this.owner = null;
        this.state = CityState.NORMAL;
        this.point = location;
        this.health = 300;
    }

    public String getName() {
        return name;
    }

    public String getResource() {
        return resource;
    }

    public Nation getOwner() {
        return owner;
    }

    public void setOwner(Nation nation) {
        this.owner = nation;
    }

    public Location getPoint() {
        return point;
    }

    public short getHealth() {
        return health;
    }

    public void damage(short damage) {
        this.health -= damage;
    }
}